Package com.sap.ai.sdk.foundationmodels.openai.generated.model

# Class EmbeddingsCreateRequest

java.lang.Object
com.sap.ai.sdk.foundationmodels.openai.generated.model.EmbeddingsCreateRequest

public class EmbeddingsCreateRequest extends Object
EmbeddingsCreateRequest

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EmbeddingsCreateRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EmbeddingsCreateRequest`
  `dimensions(Integer dimensions)`
  Set the dimensions of this `EmbeddingsCreateRequest` instance and return the same instance.
  `EmbeddingsCreateRequest`
  `encodingFormat(String encodingFormat)`
  Set the encodingFormat of this `EmbeddingsCreateRequest` instance and return the same instance.
  `boolean`
  `equals(Object o)`
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `EmbeddingsCreateRequest`.
  `Integer`
  `getDimensions()`
  The number of dimensions the resulting output embeddings should have.
  `String`
  `getEncodingFormat()`
  The format to return the embeddings in.
  `EmbeddingsCreateRequestInput`
  `getInput()`
  Get input
  `String`
  `getInputType()`
  input type of embedding search to use
  `String`
  `getUser()`
  A unique identifier representing your end-user, which can help monitoring and detecting abuse.
  `int`
  `hashCode()`
  `EmbeddingsCreateRequest`
  `input(EmbeddingsCreateRequestInput input)`
  Set the input of this `EmbeddingsCreateRequest` instance and return the same instance.
  `EmbeddingsCreateRequest`
  `inputType(String inputType)`
  Set the inputType of this `EmbeddingsCreateRequest` instance and return the same instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `EmbeddingsCreateRequest` instance.
  `void`
  `setDimensions(Integer dimensions)`
  Set the dimensions of this `EmbeddingsCreateRequest` instance.
  `void`
  `setEncodingFormat(String encodingFormat)`
  Set the encodingFormat of this `EmbeddingsCreateRequest` instance.
  `void`
  `setInput(EmbeddingsCreateRequestInput input)`
  Set the input of this `EmbeddingsCreateRequest` instance.
  `void`
  `setInputType(String inputType)`
  Set the inputType of this `EmbeddingsCreateRequest` instance.
  `void`
  `setUser(String user)`
  Set the user of this `EmbeddingsCreateRequest` instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `EmbeddingsCreateRequest` instance including unrecognized properties.
  `String`
  `toString()`
  `EmbeddingsCreateRequest`
  `user(String user)`
  Set the user of this `EmbeddingsCreateRequest` instance and return the same instance.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### EmbeddingsCreateRequest

    public EmbeddingsCreateRequest()

- ## Method Details

  - ### input

    @Nonnull public EmbeddingsCreateRequest input(@Nonnull EmbeddingsCreateRequestInput input)
    Set the input of this `EmbeddingsCreateRequest` instance and return the same instance.
    Parameters:
      `input` - The input of this `EmbeddingsCreateRequest`
    Returns:
      The same instance of this `EmbeddingsCreateRequest` class

  - ### getInput

    @Nonnull public EmbeddingsCreateRequestInput getInput()
    Get input
    Returns:
      input The input of this `EmbeddingsCreateRequest` instance.

  - ### setInput

    public void setInput(@Nonnull EmbeddingsCreateRequestInput input)
    Set the input of this `EmbeddingsCreateRequest` instance.
    Parameters:
      `input` - The input of this `EmbeddingsCreateRequest`

  - ### user

    @Nonnull public EmbeddingsCreateRequest user(@Nullable String user)
    Set the user of this `EmbeddingsCreateRequest` instance and return the same instance.
    Parameters:
      `user` - A unique identifier representing your end-user, which can help monitoring and detecting abuse.
    Returns:
      The same instance of this `EmbeddingsCreateRequest` class

  - ### getUser

    @Nonnull public String getUser()
    A unique identifier representing your end-user, which can help monitoring and detecting abuse.
    Returns:
      user The user of this `EmbeddingsCreateRequest` instance.

  - ### setUser

    public void setUser(@Nullable String user)
    Set the user of this `EmbeddingsCreateRequest` instance.
    Parameters:
      `user` - A unique identifier representing your end-user, which can help monitoring and detecting abuse.

  - ### inputType

    @Nonnull public EmbeddingsCreateRequest inputType(@Nullable String inputType)
    Set the inputType of this `EmbeddingsCreateRequest` instance and return the same instance.
    Parameters:
      `inputType` - input type of embedding search to use
    Returns:
      The same instance of this `EmbeddingsCreateRequest` class

  - ### getInputType

    @Nonnull public String getInputType()
    input type of embedding search to use
    Returns:
      inputType The inputType of this `EmbeddingsCreateRequest` instance.

  - ### setInputType

    public void setInputType(@Nullable String inputType)
    Set the inputType of this `EmbeddingsCreateRequest` instance.
    Parameters:
      `inputType` - input type of embedding search to use

  - ### encodingFormat

    @Nonnull public EmbeddingsCreateRequest encodingFormat(@Nullable String encodingFormat)
    Set the encodingFormat of this `EmbeddingsCreateRequest` instance and return the same instance.
    Parameters:
      `encodingFormat` - The format to return the embeddings in. Can be either `float` or `base64`. Defaults to `float`.
    Returns:
      The same instance of this `EmbeddingsCreateRequest` class

  - ### getEncodingFormat

    @Nullable public String getEncodingFormat()
    The format to return the embeddings in. Can be either `float` or `base64`. Defaults to `float`.
    Returns:
      encodingFormat The encodingFormat of this `EmbeddingsCreateRequest` instance.

  - ### setEncodingFormat

    public void setEncodingFormat(@Nullable String encodingFormat)
    Set the encodingFormat of this `EmbeddingsCreateRequest` instance.
    Parameters:
      `encodingFormat` - The format to return the embeddings in. Can be either `float` or `base64`. Defaults to `float`.

  - ### dimensions

    @Nonnull public EmbeddingsCreateRequest dimensions(@Nullable Integer dimensions)
    Set the dimensions of this `EmbeddingsCreateRequest` instance and return the same instance.
    Parameters:
      `dimensions` - The number of dimensions the resulting output embeddings should have. Only supported in `text-embedding-3` and later models.
    Returns:
      The same instance of this `EmbeddingsCreateRequest` class

  - ### getDimensions

    @Nullable public Integer getDimensions()
    The number of dimensions the resulting output embeddings should have. Only supported in `text-embedding-3` and later models.
    Returns:
      dimensions The dimensions of this `EmbeddingsCreateRequest` instance.

  - ### setDimensions

    public void setDimensions(@Nullable Integer dimensions)
    Set the dimensions of this `EmbeddingsCreateRequest` instance.
    Parameters:
      `dimensions` - The number of dimensions the resulting output embeddings should have. Only supported in `text-embedding-3` and later models.

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `EmbeddingsCreateRequest`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `EmbeddingsCreateRequest` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `EmbeddingsCreateRequest` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `EmbeddingsCreateRequest` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`